# ### HLRC CLIENT cpp ###
# ===============================
# 
# Sets required variables for finding the hlrc client library:
#
# HLRC_CLIENT_FOUND
# HLRC_CLIENT_INCLUDE_DIRS
# HLRC_CLIENT_LIBRARY_DIRS
# HLRC_CLIENT_LIBRARIES
# HLRC_CLIENT_VERSION
# 
# Example:
# find_package(hlrc_client 0.1)
#
# ###############################################################################

INCLUDE(FindPkgConfig)

GET_FILENAME_COMPONENT(CONFIG_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

SET(HLRC_CLIENT_FOUND TRUE)
SET(HLRC_CLIENT_INCLUDE_DIRS "${CONFIG_DIR}/../../include")
SET(HLRC_CLIENT_LIBRARY_DIRS "${CONFIG_DIR}/../../lib")
SET(HLRC_CLIENT_VERSION "@HLRC_CLIENT_VERSION@")
SET(HLRC_CLIENT_LIBRARIES "${CONFIG_DIR}/../../lib/@CMAKE_SHARED_LIBRARY_PREFIX@@HLRC_CLIENT_LIBNAME@@CMAKE_SHARED_LIBRARY_SUFFIX@")

# TODO: find dependencies here and append their include dirs to HLRC_CLIENT_INCLUDE_DIRS
